System.Core 3.5.0.0 4.0.0.0 System.Linq.Expressions.Expression System.Linq.Expressions.IArgumentProvider System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/MethodCallExpressionProxy))

Use the , , or factory method to create a .

The value of the property of a object is .

Represents a call to either static or an instance method.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression ``

  This default implementation for nodes calls . Override this method to call into a more specific method on a derived visitor class of the class. However, it should still support unknown visitors by calling .

  Dispatches to the specific visit method for this node type. For example, calls the .

  The result of visiting this node.

  The visitor to visit this node with.
- Property
  3.5.0.0
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Linq.Expressions.Expression> To be added. To be added.

  Gets a collection of expressions that represent arguments of the called method.

- Property
  3.5.0.0
  4.0.0.0
  System.Reflection.MethodInfo To be added. To be added.

  Gets the for the method to be called.

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this .

- Property
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.Expression To be added.

  If a object's property represents a static (Shared in Visual Basic) method, the property is null.

  Gets the that represents the instance for instance method calls or null for static method calls.

- Property
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.

- Method
  4.0.0.0
  System.Linq.Expressions.MethodCallExpression `` `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children are changed or an expression with the updated children.

  The property of the result. The property of the result.